#!/usr/bin/perl
use strict;
use warnings;
use encoding 'utf8';
use Imager::DTP::Textbox::Horizontal;
use Imager::DTP::Textbox::Vertical;

# 書き込むテキストを定義
my $text = q(テスト書き込みです
うまくいくかな？
いくといいな);

# 使用フォントを定義
my $font = Imager::Font->new(file=>'./Osaka.TTC',type=>'ft2',
           aa=>1,size=>15,color=>'#000000#') or die;

# 描画対象となるキャンバス画像を作成
my $campus = Imager->new(xsize=>200,ysize=>300) or die;

# テキストボックスを作成
my $hbox = Imager::DTP::Textbox::Horizontal->new(text=>$text,
           font=>$font,wspace=>5);
my $vbox = Imager::DTP::Textbox::Vertical->new(text=>$text,font=>$font,
           halign=>'left',wspace=>5);

# キャンバス画像の背景色を白に
$campus->box(filled=>1,color=>'#FFFFFF');

# テキストをキャンバスに描画
$hbox->draw(target=>$campus,x=>10,y=>10);
$vbox->draw(target=>$campus,x=>10,y=>100);

# 画像をJPEGファイルとして書き出す
$campus->write(file=>'./result.jpg',type=>'jpeg',jpegquality=>90) or die;
print 'all went well'."\n";
